# class Gem::Commands::OutdatedCommand

### Public Class Methods

new ()
Source

    # File lib/rubygems/commands/outdated_command.rb, line 12
    def initialize
      super "outdated", "Display all gems that need updates"

      add_local_remote_options
      add_platform_option
    end

Calls superclass method `Gem::Command::new`

### Public Instance Methods

execute ()
Source

    # File lib/rubygems/commands/outdated_command.rb, line 28
    def execute
      Gem::Specification.outdated_and_latest_version.each do |spec, remote_version|
        say "#{spec.name} (#{spec.version} < #{remote_version})"
      end
    end